Bug 206155 - www/hiawatha: Update to 10.0/patch for config-files
Summary: www/hiawatha: Update to 10.0/patch for config-files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-12 12:57 UTC by w.schwarzenfeld
Modified: 2016-01-15 19:40 UTC (History)
1 user (show)

See Also:


Attachments
svn-diff_www_hiawatha (2.73 KB, patch)
2016-01-12 12:57 UTC, w.schwarzenfeld
no flags Details | Diff
portlint_hiawatha-10.0 (281 bytes, text/plain)
2016-01-12 12:57 UTC, w.schwarzenfeld
no flags Details
poudriere_hiawatha-10.0.log (103.07 KB, text/x-log)
2016-01-12 12:58 UTC, w.schwarzenfeld
no flags Details
svn-diff_www_hiawatha (2.71 KB, patch)
2016-01-12 14:13 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff_www_hiawatha-10.0 (2.41 KB, patch)
2016-01-13 16:43 UTC, w.schwarzenfeld
koobs: maintainer-approval+
Details | Diff
poudriere-hiawatha-10.0.log (102.83 KB, text/x-log)
2016-01-13 16:44 UTC, w.schwarzenfeld
no flags Details
portlint_hiawatha-10.0 (281 bytes, text/plain)
2016-01-13 16:44 UTC, w.schwarzenfeld
no flags Details
svn-diff_www_hiawatha-10.0 (4.84 KB, patch)
2016-01-13 17:01 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff_www_hiawatha-10.0 (2.43 KB, patch)
2016-01-13 17:08 UTC, w.schwarzenfeld
no flags Details | Diff
patch-pkg-plist (487 bytes, patch)
2016-01-15 14:41 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description w.schwarzenfeld 2016-01-12 12:57:02 UTC
Created attachment 165429 [details]
svn-diff_www_hiawatha

Update www/hiawata to version 10.0
Changelog:

hiawatha (10.0) stable; urgency=low

    Usage of Directory sections changed.
    Added support for RFC 5785.
    Added support for GZip compression. Removed the UseGZfile option.
    Added ECDSA support for TLS 1.0 and TLS 1.1.
    Replaced UrlToolkit Expire option with ExpirePeriod in Directory section.
    Replaced IgnoreDotHiawatha option with UseLocalConfig.
    Removed the VolatileObject option.
    Improved SQL injection detection.
    mbed TLS updated to 2.2.0.
    Small improvements.
https://www.hiawatha-webserver.org/changelog
Comment 1 w.schwarzenfeld 2016-01-12 12:57:47 UTC
Created attachment 165430 [details]
portlint_hiawatha-10.0
Comment 2 w.schwarzenfeld 2016-01-12 12:58:33 UTC
Created attachment 165431 [details]
poudriere_hiawatha-10.0.log
Comment 3 w.schwarzenfeld 2016-01-12 12:59:18 UTC
In the moment only tested on 10.2-RELEASE amd64. I will test on other versions till tomorrow.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-12 13:00:04 UTC
Comment on attachment 165429 [details]
svn-diff_www_hiawatha

Port is unmaintained, implicit approval
Comment 5 Kurt Jaeger freebsd_committer 2016-01-12 14:12:50 UTC
Testbuild says:

====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
====> Running Q/A tests (stage-qa)
Warning: setuid files in the stage directory (are these necessary?):
68418 -rwsr-xr-x  1 root  wheel  29120 Jan 12 15:04:41 2016 /home/pi/myp/www/hiawatha/work/stage/usr/local/sbin/cgi-wrapper
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: etc/rc.d/hiawatha
Error: Missing: %%DOCSDIR%%/ChangeLog
Error: Missing: %%DOCSDIR%%/README.md
===> Error: Plist issues found.
Comment 6 w.schwarzenfeld 2016-01-12 14:13:46 UTC
Created attachment 165433 [details]
svn-diff_www_hiawatha

Forgot to remove old  version number.svn-diff_www_hiawatha
Comment 7 Torsten Zühlsdorff 2016-01-12 14:16:35 UTC
> Port is unmaintained, implicit approval

Could i stop you? ;)

There are some minor glitches:

@Walter:

+#PORTVERSION=	9.15

Please remove the comment ;)

You also removed a couple of @sample entries. Is there a particular reason for this? If you are unsure what @sample does have a look here:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/plist-config.html

Also there is this entry in the patch:
+etc/rc.d/hiawatha

Normally the rc.scripts are stored under /files/:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html

Quote:
"Scripts must be placed in the files subdirectory and a .in suffix must be added to their filename."

Greetings,
Torsten
Comment 8 w.schwarzenfeld 2016-01-12 14:27:06 UTC
>Is there a particular reason for this? 
pkg-static: duplicate file listing: /usr/local/www/hiawatha/index.html.sample, ignoring
pkg-static: duplicate directory listing: /var/log/hiawatha, ignoring
pkg-static: duplicate file listing: /usr/local/etc/rc.d/hiawatha, ignoring
pkg-static: duplicate file listing: /usr/local/share/doc/hiawatha/ChangeLog, ignoring
pkg-static: duplicate file listing: /usr/local/share/doc/hiawatha/README.md, ignoring
Comment 9 w.schwarzenfeld 2016-01-12 15:04:55 UTC
Ok, compiles fine with ports and poudriere for 10.2-RELEASE amd64 and i386 and 9.3-RELEASE amd64/i386.
Comment 10 w.schwarzenfeld 2016-01-13 14:54:14 UTC
Starts without problems on all above mentioned systems (the 93 version only with minimal configuration).
Comment 11 w.schwarzenfeld 2016-01-13 14:54:54 UTC
should be: 93 versions tested only with mininmal configuration.
Comment 12 w.schwarzenfeld 2016-01-13 15:03:30 UTC
Needs patch, needs-qa? - I have only removed one comment line.
Comment 13 Torsten Zühlsdorff 2016-01-13 15:07:14 UTC
Hello Walter,

the patch looks better now. But my @sample critic still stands ;)

But now i understand your confusion!

In you're patch you wrote:
+%%ETCDIR%%/cgi-wrapper.conf
+%%ETCDIR%%/cgi-wrapper.conf.sample

Instead of:
-@sample %%ETCDIR%%/cgi-wrapper.conf.sample

This will indeed create a duplicate file cgi-wrapper.conf. This is because @sample files (ending with sample) will be copied for example from cgi-wrapper.conf.sample to cgi-wrapper.conf.

So please try to replace:
%%ETCDIR%%/cgi-wrapper.conf
%%ETCDIR%%/cgi-wrapper.conf.sample
with 
@sample %%ETCDIR%%/cgi-wrapper.conf.sample

and checks if this works. It should! :)
Comment 14 w.schwarzenfeld 2016-01-13 16:43:31 UTC
Created attachment 165509 [details]
svn-diff_www_hiawatha-10.0
Comment 15 w.schwarzenfeld 2016-01-13 16:44:26 UTC
Created attachment 165510 [details]
poudriere-hiawatha-10.0.log
Comment 16 w.schwarzenfeld 2016-01-13 16:44:50 UTC
Created attachment 165511 [details]
portlint_hiawatha-10.0
Comment 17 w.schwarzenfeld 2016-01-13 17:01:04 UTC
Created attachment 165513 [details]
svn-diff_www_hiawatha-10.0

Sorry , sent the wrong svn-diff file.
Comment 18 w.schwarzenfeld 2016-01-13 17:08:49 UTC
Created attachment 165514 [details]
svn-diff_www_hiawatha-10.0

Again, it seems not my day.
Comment 19 Kurt Jaeger freebsd_committer 2016-01-14 10:38:55 UTC
Testbuilds fine on 11a, 10.2a+i, 9.3a.
Comment 20 commit-hook freebsd_committer 2016-01-14 10:39:30 UTC
A commit references this bug:

Author: pi
Date: Thu Jan 14 10:38:38 UTC 2016
New revision: 406102
URL: https://svnweb.freebsd.org/changeset/ports/406102

Log:
  www/hiawatha: 9.15 -> 10.0

  Changes:
    https://www.hiawatha-webserver.org/changelog
      Usage of Directory sections changed.
      Added support for RFC 5785.
      Added support for GZip compression. Removed the UseGZfile option.
      Added ECDSA support for TLS 1.0 and TLS 1.1.
      Replaced UrlToolkit Expire option with ExpirePeriod in Directory section.
      Replaced IgnoreDotHiawatha option with UseLocalConfig.
      Removed the VolatileObject option.
      Improved SQL injection detection.
      mbed TLS updated to 2.2.0.
      Small improvements.

  PR:		206155
  Submitted by:	w.schwarzenfeld@aon.at

Changes:
  head/www/hiawatha/Makefile
  head/www/hiawatha/distinfo
  head/www/hiawatha/pkg-plist
Comment 21 Kurt Jaeger freebsd_committer 2016-01-14 10:47:45 UTC
Committed, thanks.
Comment 22 w.schwarzenfeld 2016-01-15 14:17:19 UTC
The update overwriter the config-files. I found no way to prevent this.
Comment 23 w.schwarzenfeld 2016-01-15 14:18:07 UTC
overwrite of config-files.
Comment 24 w.schwarzenfeld 2016-01-15 14:41:53 UTC
Created attachment 165633 [details]
patch-pkg-plist

Overlooked the simpelst ... that should fix it.
Comment 25 commit-hook freebsd_committer 2016-01-15 18:10:16 UTC
A commit references this bug:

Author: pi
Date: Fri Jan 15 18:09:24 UTC 2016
New revision: 406181
URL: https://svnweb.freebsd.org/changeset/ports/406181

Log:
  www/hiawatha: fix plist to avoid overwriting modified config files

  PR:		206155
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@aon.at>, Christoph Lukas <clukas@firc.de>

Changes:
  head/www/hiawatha/Makefile
  head/www/hiawatha/pkg-plist
Comment 26 Kurt Jaeger freebsd_committer 2016-01-15 18:10:33 UTC
Thanks for the quick fix, committed.
Comment 27 commit-hook freebsd_committer 2016-01-15 19:40:28 UTC
A commit references this bug:

Author: pi
Date: Fri Jan 15 19:39:48 UTC 2016
New revision: 406188
URL: https://svnweb.freebsd.org/changeset/ports/406188

Log:
  www/hiawatha: fix plist to avoid overwriting modified index.html

  PR:		206155
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@aon.at>

Changes:
  head/www/hiawatha/Makefile
  head/www/hiawatha/pkg-plist